> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/objects/create-free-order-line-input.md).

# CreateFreeOrderLineInput

### Fields

#### clientMutationId ([String](/graphql-api/api-reference/objects/string.md))

A unique identifier for the client performing the mutation.

#### orderId ([ID](/graphql-api/api-reference/objects/id.md)!)

ID of the order to add a line to.

#### productId ([ID](/graphql-api/api-reference/objects/id.md))

The ID of the product for this order line.

#### shopifyVariantId ([String](/graphql-api/api-reference/objects/string.md))

The Shopify variant ID to look up the product. Either product\_id or shopify\_variant\_id must be provided.

#### quantity ([Int](/graphql-api/api-reference/objects/int.md)!)

The quantity of products for this order line.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/create-free-order-line-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
